.sticky_nav {
    width: 95%;
    margin: auto;
    position: absolute;
    top: 0;
    right: 0;
    left: 0;
    z-index: 100;
}

.fixed_nav {
    background-color: $color-white-0;
    position: fixed;
    top: 0;
    right: 0;
    left: 0;
    width: 100%;
    z-index: 1;
    opacity: 0;
    transition: all 0.9s ease;

    .navbar {
        width: 95%;
        margin: auto;
        .navbar-collapse {
            .navbar-nav {
                .nav-item {
                    .nav-link {
                        color: $color-grey-4;
                        transition: all 0.5s;
                        &:hover {
                            color: $color-green-1;
                        }
                        button {
                            @include styleButton(
                                $pd-3,
                                $pd-2,
                                $color-green-1,
                                transparent,
                                $fs-0 - 2,
                                $color-green-1,
                                $fw-2
                            );
                            border-radius: $br-0;
                            &:hover {
                                @include hoverButton($color-green-0, $color-white-0);
                            }
                        }
                    }
                    .btn-secondary {
                        color: $color-grey-4;
                        transition: all 0.5s;
                        &:hover {
                            color: $color-green-1;
                        }
                    }
                }
            }
        }
    }
    .form-search {
        opacity: 0;
        transition: all 0.3s;
        .input-group {
            .form-control {
                padding: 0;
                border: none;
                border-top: 1px solid $color-grey-10;
                border-bottom: 1px solid $color-grey-10;
                outline: none;
                &:hover {
                    box-shadow: 0 0 0 0.2rem transparent;
                    border-color: $color-black-0;
                }
                &:hover + .input-group-append {
                    .searchIcon {
                        box-shadow: 0 0 0 0.2rem transparent;
                        border-top-color: $color-black-0;
                        border-bottom-color: $color-black-0;
                        border-left-color: $color-black-0;
                    }
                }
            }
            i {
                color: $color-grey-0;
            }
            .searchIcon {
                border: none;
                border-top: 1px solid $color-grey-10;
                border-bottom: 1px solid $color-grey-10;
                border-left: 1px solid $color-grey-10;
                background-color: $color-white-0;
                border-top-left-radius: $br-0;
                border-bottom-left-radius: $br-0;
            }
            .search {
                padding: 0 $pd-2 - 4;
                background-color: $color-green-1;
                border-color: $color-green-1;
                color: $color-white-0;
                font-weight: $fw-2;
                font-size: $fs-0 - 2;
                cursor: pointer;
                transition: all 0.5s;
                &:hover {
                    background-color: $color-green-0;
                    border-color: $color-green-0;
                }
            }
        }
    }
    .nav__extra {
        transition: all 0.5s;
        border-top: 1px solid $color-grey-8;
        border-bottom: 1px solid $color-grey-8;
        // display: none;
        transform: rotateX(180deg);
        transition: all 0.5s;
        ul {
            list-style: none;
            margin-bottom: 0;
            li {
                .row {
                    background-color: white;
                    position: relative;
                    top: -209%;
                    box-shadow: 0 2px 5px 0 $color-black-2;
                    padding: $pd-2 $pd-2;
                    h6 {
                        font-weight: $fw-3;
                        margin: $mg-1 0;
                    }
                    ul {
                        li {
                            padding: $pd-11 - 2;
                            a {
                                text-decoration: none;
                                @include styleText($fs-0 - 2, $color-grey-4, $fw-2);
                                transition: all 0.5s;
                                &:hover {
                                    color: $color-grey-3;
                                }
                            }
                            .beta-button {
                                border-color: $color-blue-4;
                                color: $color-blue-4;
                            }
                        }
                        .programming__special {
                            a {
                                color: $color-blue-4;
                                &:hover {
                                    color: $color-blue-4;
                                }
                            }
                        }
                    }
                }
                padding: $pd-1 - 2 0;
                a.dropdown-toggle {
                    padding: $pd-1 - 2 0;
                    text-decoration: none;
                    @include styleText($fs-0 - 2, $color-grey-3, $fw-2);
                    // span {
                    //     // @include styleText($fs-0 - 2,$color-pink-0,$fw-2);
                    //     @include styleButton($pd-3, $pd-11, $color-pink-0, $color-white-0, $fs-4, $color-pink-0, $fw-2);
                    //     border-radius: $br-1;
                    // }
                    &:hover {
                        border-bottom: 3px solid $color-green-1;
                    }
                }
                .dropdown-toggle {
                    &::after {
                        display: none;
                    }
                }
            }
            .dropdown__graphic {
                .dropdown-menu {
                    width: 1300px;
                    height: 100%;
                }
            }
            .dropdown__marketing {
                .dropdown-menu {
                    width: 650px;
                    height: 100%;
                }
            }
            .dropdown__writting {
                .dropdown-menu {
                    width: 950px;
                    height: 100%;
                }
            }
            .dropdown__video {
                .dropdown-menu {
                    width: 1000px;
                    height: 100%;
                }
            }
            .dropdown__music {
                .dropdown-menu {
                    width: 630px;
                    height: 100%;
                }
            }
            .dropdown__programing {
                .dropdown-menu {
                    width: 630px;
                    height: 100%;
                }
            }
            .dropdown__data {
                .dropdown-menu {
                    width: 500px;
                    height: 100%;
                }
            }
            .dropdown__business {
                .dropdown-menu {
                    width: 500px;
                    height: 100%;
                }
            }
            .dropdown__lifestyle {
                .dropdown-menu {
                    width: 600px;
                    height: 100%;
                }
            }
        }
    }
}
